:root {
    --theme-primary: #DAA520;
    --theme-alt-accent: #797979;
    --theme-text: #272822;
    --theme-bg: #fafafa;
    --theme-on-accent: var(--theme-bg);
    --width: 800px;
    --grid-height: 1.6rem;
    --theme-accent: rgb(83, 109, 254);
    --theme-deep-blue: rgb(0, 7, 34);
    --theme-space-cadet: rgb(30, 41, 82);
    --balmer-alpha: rgb(255, 0, 0);
    --balmer-beta: rgb(0, 239, 255);
    --balmer-gamma: rgb(40, 0, 255);
    --balmer-delta: rgb(126, 0, 219);
    --balmer-epsilon: rgb(129, 0, 169);
    --full-spectrum: linear-gradient(180deg, white, lightgray) no-repeat;
    --theme-gradient: linear-gradient(to right,
        var(--balmer-epsilon) 10%, var(--balmer-delta) 10% 20%,
        transparent 20% 40%,
        var(--balmer-gamma) 40% 50%, var(--balmer-beta) 50% 70%,
        var(--balmer-alpha) 70%
    );
    --mdc-theme-primary: var(--theme-accent);
}
body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
  color: var(--theme-text);
  margin: 0;
  padding: 0;
  background: var(--theme-bg);
}

@media (prefers-color-scheme: dark) {
    --theme-text: #fafafa;
    --theme-bg: rgba(0, 0, 0, .8);
}
@layer theme {
    a {
        color: var(--theme-primary);
    }
}

main {
    margin-block: 0;
    margin-inline: auto;
    width: var(--width);
}

body > header {
    display: flex;
    flex-direction: row;
    background: var(--theme-deep-blue) paint(emissionspectrum);
    color: var(--theme-on-accent);
    /* background: var(--theme-accent); */
    align-items: flex-end;
    height: 100px;
    padding: 10px;
    flex-wrap: wrap;
    justify-content: space-between;
}

body > header > h1 {
    margin-block: 0;
}

.posts {
  padding: 0;
}
article .excerpt {
  margin: 0;
}
article header h3 {
    margin: 0;
}

h2 {
    --color: var(--theme-accent);
    background: var(--color);
    font-size: calc(1.5 * var(--grid-height));
    padding-inline: 10px;
    padding-block: 10px;
    margin: 0;
    position: relative;
    margin-left: calc((100vw - var(--width)) / -2);
    margin-right: calc((100vw - var(--width)) / -2);
    padding-left: calc(50vw - var(--width) / 2);
    padding-right: calc(var(--width) / 2 + 50vw - var(--width) / 2);
}
h3 {
}

@property --white {
    syntax: "<percentage>";
    initial-value: 0%;
    inherits: true;
}

.home-link {
    position: absolute;
    top: 0;
    left: 5px;
}